#!/bin/bash
## ===========================================================================================================
## livestream-aufnahme-rm.sh - &copy Stefan Bürger, www.stefan-buerger.de
## Script zum direkten Löschen einer Aufnahmeprogrammierung
## 
## Nur für LINUX bash...
## livestream-vlc.sh: ........ Livestreams der öffentlich-rechtlichen Mediatheken in VLC ansehen
## ........................... Parameter: Sender (ard, zdf, rbb, rbb-brb, mdr, ndr, wdr,swr, hr, br, sr, neo, 3sat, arte, info, 
## ........................... .................. phoenix, alpha, one, tagesschau, kika, orf1, orf2, orf3, orf-sport, arte-fr)
## ........................... Speicherort: beliebiges Benutzerverzeichnis, verwendet livestream-adresse.inc
## filmschnitt.sh:............ Videodatei schneiden und konvertieren (möglichst nach MP4 1280x720)
## ........................... Parameter: [HDfull|HDready|DVD|Android] Videodatei [Startzeit(hh:mm:ss) [Stopzeit(hh:mm:ss) [FPSx1000 Audiooffset]]]
## ........................... Speicherort: beliebiges Benutzerverzeichnis, verwendet livestream-adresse.inc
## livestream-aufnahme.sh:.... Livestreams der öffentlich-rechtlichen Mediatheken zeitgesteuert aufnehmen/speichern
## ........................... Parameter: Sender(wie bei livestream-vlc.sh) Startzeit(YYYYMMDDhhmm) Dauer(mmm) Name
## ........................... Speicherort: Benutzer-Homeverzeichnis (~/), 
## ........................... ............ verwendet livestream-adresse.inc, livestream-aufnahme.sh, livestream-aufnahme-rm.sh
## livestream-aufnahme-pre.sh: Livestreams der öffentlich-rechtlichen Mediatheken aus TVbrowser zeitgesteuert aufnehmen/speichern
## ........................... Parameter: [remove] Sender(wie bei livestream-vlc.sh, Jahr Monat Tag Stunde Minute Dauer Name
## ........................... Speicherort: Benutzer-Homeverzeichnis (~/), verwendet livestream-adresse.inc
## livestream-aufnahme-rm.sh:. Programmierte Aufnahme löschen
## ........................... Parameter: Sender(wie bei livestream-vlc.sh) Startzeit(YYYYMMDDhhmm) Dauer(mmm) Name
## ........................... Speicherort: Benutzer-Homeverzeichnis (~/), verwendet livestream-adresse.inc
## livestream-adresse.inc:.... Senderliste für  die bash-Scripte
## ........................... Speicherort: Benutzer-Homeverzeichnis (~/)
## 
scriptversion=3.0
scriptdatum=22.11.2023
## ===========================================================================================================
## $1: Sender    ard, zdf, rbb, rbb-brb, mdr, ndr, wdr,swr, hr, br, sr, neo, 3sat, arte, phoenix, info, alpha, one, tagesschau, kika
## $2: Startzeit '[[[[YYYY]MM]DD]hh]mm'
## $3: Dauer     'mm'
## $4: Name
##
## Hinweis: Die Bearbeitungskonstrukte erscheinen teilweise etwas umständlich, sind aber in bash ohne zusätzliche Sprachelemente nutzbar.
## 
source ~/livestream-adresse.inc

if [ -z $4 ]; then
    storename=livestream
else
    storename=$4
fi
storename=$(echo $storename | zeichenersetzen)
for ((index=0;index<${#streamaddr[@]};index+=$streamaddrsize))
do
    tmpidx=$(($index/$streamaddrsize))
    if [ "$1" = "${streamaddr[$index]}" ]
    then
        echo -e "***** \n'$aufnahmepfad_absolut' '$scriptpfad_relativ' '${storename}' '${streamaddr[$index]}' '$2'***** \n$(atq)\n***** "
        echo livestream-aufnahme-rm.sh: Löschen - $datum_zeit - $tmpidx Sender=${streamaddr[$index]} Stream=${streamaddr[$index+$idxStreamaddr]} Name=${storename} Start=$2 Dauer=$3 >> $aufnahmepfad_absolut${logpfad_relativ}livestream-aufnahme.log
        printf "Löschen: %s %2d Sender=%s, Stream=%s, Name=%s, Start=%s, Dauer=%dm\n" $1 $tmpidx ${streamaddr[$index]}-HD ${streamaddr[$index+$idxStreamaddr]}]} ${storename} $2 $3
        # lösche ffmpeg exec script (das im "atq" Eintrag stehende script läuft damit ins Leere)
        rm -f $aufnahmepfad_absolut$scriptpfad_relativ${storename}_${streamaddr[$index]}_$2_ex.sh
        # lösche aufrufendes script für "at" Kommando (wird eigentlich schon nach dem "at" Aufruf nicht mehr benötigt)
        rm -f $aufnahmepfad_absolut$scriptpfad_relativ${storename}_${streamaddr[$index]}_$2.sh
        # lösche 'at...'-Eintrag
        sh $aufnahmepfad_absolut$scriptpfad_relativ${storename}_${streamaddr[$index]}_$2_rm.sh
        rm -f $aufnahmepfad_absolut$scriptpfad_relativ${storename}_${streamaddr[$index]}_$2_rm.sh
    fi
done

#atq

unset streamaddr
unset storename

