#!/bin/bash
## tvbrowser_kaffeine.rb.sh - Version 1.2
## 
## Parameter: [record/remove] Startjahr Monat Tag Stunde Minute Länge_Minuten Sendername Titel [Produktionsjahr [Episode [Episode_Nr]]]
## 
## Sendernamen: "Das-Erste-HD-dvbt2", "ZDF-HD-dvbt2", "rbb-Berlin-HD-dvbt2", "rbb-Brandenburg-HD-dvbt2","MDR-Sachsen-HD-dvbt2",
## ............ "NDR-FS-NDS-HD-dvbt2", "hr-fernsehen-HD-dvbt2", "WDR-HD-Köln-dvbt2", "SWR_BW_HD-dvbt2", "BR-Fernsehen-HD-dvbt2",
## ............ "arte-HD-dvbt2", "ZDF-neo-HD-dvbt2", "KiKA-HD-dvbt2", "3sat-HD-dvbt2", "PHOENIX-HD-dvbt2", "tagesschau24-HD-dvbt2",
## ............ "ZDFinfo-HD-dvbt2", "ONE-HD-dvbt2"
## 
## Remote-Zugriff via ssh auf anderen PC mit dort installiertem Kaffeine
## ermöglicht auf dem anderen PC die komplette Aufnahmeprogrammierung
## 
## Auf dem Remote-PC wird eine laufende Instanz von Kaffeine und das Ruby-Script "home/stefan/tvbrowser2kaffeine.rb" benötigt.
## Bezugsquelle: "http://wiki.tvbrowser.org/index.php/CapturePlugin_-_Kaffeine#Kaffeine_.3E.3D_2.0.4"
## Die Senderkennung muss im Videodatei-Namen enthalten sein, tvbrowser2kaffeine.rb und TVBrowser-Ansteuerung müssen entsprechend 
## angepasst werden - ca. bei Zeile #88 einfügen: sTitel="#{sTitel}_#{sKanalName}", in Kaffeine und in der TVbrowser-Aufnahmesteuerung 
## müssen die Sendernamen mit der nachfolgenden Liste übereinstimmen bzw. diese Liste angepasst werden, siehe auch livestream_adresse.inc!
## 
## Das auf dem Remote-PC laufende Kaffeine muss zur Übernahme neuer Aufnahmeaufträge neu gestartet werden. Alternativ kann eine
## Remote-Instanz auf dem mit Linux laufenden ansteuernden PC gestartet werden mit "ssh -f -C -v -X remote_loginname@ip_adresse kaffeine"

source ~/livestream-adresse.inc

#remote=
remote=stefan@192.168.10.105

# Aktion - record/remove
p1=$1
# Startjahr
p2=$2
# Startmonat
p3=$3
# Starttag
p4=$4
# Startstunde
p5=$5
# Startminute
p6=$6
# Länge_Minuten
p7=$7
# Sendername
p8=$8
# Titel - Name zusammensetzen aus Parameter 9...33
xname="$9"
namemod
p9=$xname
# optionale Parameter
shift 9
# Produktionsjahr
if [ -n $1 ]; then
    p10=$1
    # Episode
    if [ -n $2 ]; then
        p11=$2
        # Episode-Nummer
        if [ -n $3 ]; then
            p12= #$3
        else
            p12=
        fi
    else
        p11=
        p12=
    fi
else
    p10=
    p11=
    p12=
fi

if [ -n $remote ]; then
    ssh -f -C -v -X $remote ~/tvbrowser_kaffeine.rb $p1 $p2 $p3 $p4 $p5 $p6 $p7 $p8 $p9 $p10 $p11 $p12
else
    ~/tvbrowser_kaffeine.rb $p1 $p2 $p3 $p4 $p5 $p6 $p7 $p8 $p9 $p10 $p11 $p12
fi
